## libint 1.1.5

=== Makefile ===
TOPDIR=.
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

-include $(TOPDIR)/Makedirlist

SUBDIRS = src
ALLSUBDIRS = $(SUBDIRS) doc

default::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(JOBS)) || exit 1; \
	  done

ifndef DODEPEND
DODEPENDOPT = "DODEPEND=no"
endif

doc::
	(cd doc && $(MAKE) $(DODEPENDOPT) install) || exit 1;

install::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install) || exit 1; \
	  done

install_inc::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_inc) || exit 1; \
	  done

install_target::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_target) || exit 1; \
	  done

uninstall::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) uninstall) || exit 1; \
	  done

clean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) clean) || exit 1; \
	  done

oclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) oclean) || exit 1; \
	  done

distclean::
	for dir in $(ALLSUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) distclean) || exit 1; \
	  done
	-rm -rf autom4te.cache config.status config.log depcheck* libtool \
Makedirlist include

targetclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) targetclean) || exit 1; \
	  done

realclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) realclean) || exit 1; \
	  done

=== doc/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

-include $(TOPDIR)/Makedirlist

SUBDIRS = progman

default::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(JOBS)) || exit 1; \
	  done

ifndef DODEPEND
DODEPENDOPT = "DODEPEND=no"
endif

install::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install) || exit 1; \
	  done

install_target::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_target) || exit 1; \
	  done

clean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) clean) || exit 1; \
	  done

distclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) distclean) || exit 1; \
	  done
	-rm -f MakeRules MakeSuffixRules MakeVars

targetclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) targetclean) || exit 1; \
	  done

realclean::
	for dir in $(SUBDIRS); \
          do \
            (cd $${dir} && $(MAKE) $(DODEPENDOPT) realclean) || exit 1; \
          done

=== src/Makefile ===
TOPDIR=..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

-include $(TOPDIR)/Makedirlist

SUBDIRS = bin lib

default::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(JOBS)) || exit 1; \
	  done

ifndef DODEPEND
DODEPENDOPT = "DODEPEND=no"
endif

install::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install) || exit 1; \
	  done

install_inc::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_inc) || exit 1; \
	  done

install_target::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_target) || exit 1; \
	  done

uninstall::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) uninstall) || exit 1; \
	  done

clean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) clean) || exit 1; \
	  done

oclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) oclean) || exit 1; \
	  done

distclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) distclean) || exit 1; \
	  done
	-rm -rf libintdirlist.h

targetclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) targetclean) || exit 1; \
	  done

realclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) realclean) || exit 1; \
	  done

=== doc/progman/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif
TOPOBJDIR = $(shell ls -d `pwd`/$(TOPDIR))

TARGET = progman.$(DOCSUF)

-include $(TOPDIR)/doc/MakeVars
-include $(TOPDIR)/doc/MakeRules
-include $(TOPDIR)/doc/MakeSuffixRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules

=== src/lib/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

-include $(TOPDIR)/Makedirlist

SUBDIRS = libint
ifeq ($(HAVE_LIBINT_SRC_BIN_LIBR12),yes)
SUBDIRS := $(SUBDIRS) libr12
endif
ifeq ($(HAVE_LIBINT_SRC_BIN_LIBDERIV),yes)
SUBDIRS := $(SUBDIRS) libderiv
endif

default::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(JOBS)) || exit 1; \
	  done

ifndef DODEPEND
DODEPENDOPT = "DODEPEND=no"
endif

install::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install) || exit 1; \
	  done

install_inc::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_inc) || exit 1; \
	  done

install_target::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_target) || exit 1; \
	  done

uninstall::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) uninstall) || exit 1; \
	  done

clean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) clean) || exit 1; \
	  done

oclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) oclean) || exit 1; \
	  done

distclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) distclean) || exit 1; \
	  done
	-rm -rf MakeRules MakeSuffixRules MakeVars

targetclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) targetclean) || exit 1; \
	  done

realclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) realclean) || exit 1; \
	  done

=== src/bin/libderiv/Makefile ===
TOPDIR=../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

BUILD_BINARY = build_libderiv
BUILD_CSRC = build_libderiv.c mem_man.c \
emit_deriv1_managers.c emit_deriv12_managers.c  emit_deriv_build.c emit_d1hrr_build.c \
emit_deriv_build_macro.c emit_d1hrr_build_macro.c
CONFIG = ../libint_config.h

-include $(TOPDIR)/src/bin/MakeVars
-include $(TOPDIR)/src/bin/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

%.$(OBJSUF):: $(CONFIG)

=== src/bin/libint/Makefile ===
TOPDIR=../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

BUILD_BINARY = build_libint
BUILD_CSRC = build_libint.c emit_vrr_build.c emit_hrr_build.c mem_man.c \
emit_order.c emit_vrr_build_macro.c emit_hrr_build_macro.c
CONFIG = ../libint_config.h

-include $(TOPDIR)/src/bin/MakeVars
-include $(TOPDIR)/src/bin/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

%.$(OBJSUF):: $(CONFIG)

=== src/lib/libderiv/Makefile ===
TOPDIR=../../..
TO_TOPDIR=$(TOPDIR)
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif
TOPOBJDIR = $(shell ls -d `pwd`/$(TOPDIR))

NAME = libderiv
TARGET = $(NAME).$(LIBSUF)
COMPILER = build_$(NAME)
INC = libderiv.h

-include $(TOPDIR)/src/lib/MakeVars
-include $(TOPDIR)/src/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

=== src/lib/libint/Makefile ===
TOPDIR=../../..
TO_TOPDIR=$(TOPDIR)
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif
TOPOBJDIR = $(shell ls -d `pwd`/$(TOPDIR))

NAME = libint
TARGET = $(NAME).$(LIBSUF)
COMPILER = build_$(NAME)
INC = libint.h vrr_header.h hrr_header.h

-include $(TOPDIR)/src/lib/MakeVars
-include $(TOPDIR)/src/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

## libint 1.1.4

=== debian/changelog ===
libint (1.1.4-1) unstable; urgency=low

  * Initial upload (Closes: #425039).

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Feb 2012 22:15:45 +0100

=== debian/control ===
Source: libint
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>, Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>> 8), autotools-dev, perl, texlive-base-bin, texlive-latex-base
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/p/libint/home/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libint/
DM-Upload-Allowed: yes

Package: libint1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Evaluate the integrals in modern atomic and molecular theory
 The LIBINT library is used to evaluate the traditional (electron repulsion)
 and certain novel two-body matrix elements (integrals) over Cartesian
 Gaussian functions used in modern atomic and molecular theory. The idea
 of the library is to let computer write optimized code for computing
 such integrals. There are two primary advantages to this: much less
 human effort is required to write code for computing new integrals, and
 code can be optimized specifically for a particular computer
 architecture (e.g., vector processor).
 .
 LIBINT has been utilized to implement methods such as Hartree-Fock (HF)
 and Kohn-Sham density functional theory (KS DFT), second-order
 Moeller-Plesset perturbation theory (MP2), coupled cluster singles and
 doubles (CCSD) method, as well as explicitly correlated R12 methods.
 .
 This package contains the shared library.

Package: libint-dev
Section: libdevel
Architecture: any
Depends: libint1 (= ${binary:Version}), ${misc:Depends}
Description: Evaluate the integrals in modern atomic and molecular theory (devel)
 The LIBINT library is used to evaluate the traditional (electron repulsion)
 and certain novel two-body matrix elements (integrals) over Cartesian
 Gaussian functions used in modern atomic and molecular theory. The idea
 of the library is to let computer write optimized code for computing
 such integrals. There are two primary advantages to this: much less
 human effort is required to write code for computing new integrals, and
 code can be optimized specifically for a particular computer
 architecture (e.g., vector processor).
 .
 LIBINT has been utilized to implement methods such as Hartree-Fock (HF)
 and Kohn-Sham density functional theory (KS DFT), second-order
 Moeller-Plesset perturbation theory (MP2), coupled cluster singles and
 doubles (CCSD) method, as well as explicitly correlated R12 methods.
 .
 This package contains the development header files.

Package: libint-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libint1 (= ${binary:Version}), ${misc:Depends}
Description: Evaluate the integrals in modern atomic and molecular theory (debug)
 The LIBINT library is used to evaluate the traditional (electron repulsion)
 and certain novel two-body matrix elements (integrals) over Cartesian
 Gaussian functions used in modern atomic and molecular theory. The idea
 of the library is to let computer write optimized code for computing
 such integrals. There are two primary advantages to this: much less
 human effort is required to write code for computing new integrals, and
 code can be optimized specifically for a particular computer
 architecture (e.g., vector processor).
 .
 LIBINT has been utilized to implement methods such as Hartree-Fock (HF)
 and Kohn-Sham density functional theory (KS DFT), second-order
 Moeller-Plesset perturbation theory (MP2), coupled cluster singles and
 doubles (CCSD) method, as well as explicitly correlated R12 methods.
 .
 This package contains the detached debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	rm -rf lib/.libs
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--enable-deriv \
		--enable-r12 \
		--enable-debug=opt \
		--prefix=/usr \
		--with-cc-optflags="$(CFLAGS)" \
		--with-cxx-optflags="$(CFLAGS)" \
		--with-libdirs="-Wl,-z,defs"

override_dh_auto_build:
	$(MAKE) -C doc
	dh_auto_build

override_dh_strip:
	dh_strip --dbg-package=libint-dbg

.PHONY: override_dh_strip

=== debian/watch ===
# See uscan(1) for format

version=3
http://www.chem.vt.edu/chem-dept/valeev/software/libint/download.html \
  ^src/libint-([\d\.]+).tar.gz

## libint 1.1.5

=== debian/changelog ===
libint (1.1.5-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Increase libint-max-am to 6,
    libderiv-max-am1 to 4 and libderiv-max-am2 to 3.

 -- Michael Banck <mbanck@debian.org>  Thu, 01 Oct 2015 17:52:38 +0200

libint (1.1.5-1) unstable; urgency=low

  [ Daniel Leidert ]
  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added texlive-font-utils for pslatex.
  * debian/copyright: Updated and rewritten in dep5 format.
  * debian/libint1.lintian-overrides: Added.
  * debian/libint-dev.doc-base: Fixed doc-base-uses-applications-section.
  * debian/rules: Enable hardening and parallel mode. Install changelog.
    (override_dh_configure): Set shell to bash.
  * debian/upstream: Added.
  * debian/watch: Fixed.
  * debian/patches/01_fix_doc_makefile.patch: Renamed to
    debian/patches/fix_doc_makefile.patch.
  * debian/patches/enable_hardening.patch: Added.
    - Fix build with hardening flags enabled.
  * debian/patches/fix_makefiles.patch: Added.
    - Enable LDFLAGS for libraries.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 26 May 2013 22:44:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: science
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>, Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 8), autotools-dev, perl, texlive-base-bin, texlive-latex-base
-Standards-Version: 3.9.2
+Uploaders: Michael Banck <mbanck@debian.org>
+Build-Depends: autotools-dev (>> 20100122.1~),
+               debhelper (>> 8),
+               perl,
+               texlive-base-bin,
+               texlive-font-utils,
+               texlive-latex-base
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/p/libint/home/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libint/
-DM-Upload-Allowed: yes
 
 Package: libint1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Evaluate the integrals in modern atomic and molecular theory
  The LIBINT library is used to evaluate the traditional (electron repulsion)
  and certain novel two-body matrix elements (integrals) over Cartesian

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	rm -rf lib/.libs
	dh_auto_clean

override_dh_auto_configure:
	CONFIG_SHELL=/bin/bash dh_auto_configure -- \
		--enable-shared \
		--enable-deriv \
		--enable-r12 \
		--enable-debug=opt \
		--with-libint-max-am=6 \
		--with-libderiv-max-am1=4 \
		--with-libderiv-max-am2=3 \
		--prefix=/usr \
		--with-cc-optflags="$(CFLAGS) $(CPPFLAGS)" \
		--with-cxx-optflags="$(CXXFLAGS) $(CPPFLAGS)" \
		--with-libdirs="$(LDFLAGS)"

override_dh_auto_build:
	$(MAKE) -C doc
	dh_auto_build

override_dh_strip:
	dh_strip --dbg-package=libint-dbg

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs updates

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/libint/libint-([\d.]+)\.tar\.gz

## libint 1.1.6

=== debian/changelog ===
libint (1.1.6-2) unstable; urgency=medium

  * debian/control (Build-Depends): Added dh-autoreconf.
  * debian/rules: Use --with autoreconf instead of --with autotools_dev as dh
    option.
  * debian/rules (AUTOHEADER): New variable; set to true to skip running
    autoheader during dh_autoreconf.

 -- Michael Banck <mbanck@debian.org>  Thu, 06 Oct 2016 09:18:33 +0200

libint (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/enable_hardening.patch: Removed, applied upstream.
  * debian/rules (override_dh_auto_configure): Decrease libint-max-am to 5 for
    CP2K compatibility. 

 -- Michael Banck <mbanck@debian.org>  Thu, 06 Oct 2016 00:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: autotools-dev (>> 20100122.1~),
                debhelper (>> 8),
+               dh-autoreconf,
                perl,
                texlive-base-bin,
                texlive-font-utils,

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
+export AUTOHEADER = true
+
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_clean:
 	rm -rf lib/.libs
@@ -27,7 +29,7 @@
 		--enable-deriv \
 		--enable-r12 \
 		--enable-debug=opt \
-		--with-libint-max-am=6 \
+		--with-libint-max-am=5 \
 		--with-libderiv-max-am1=4 \
 		--with-libderiv-max-am2=3 \
 		--prefix=/usr \

## libint 1.2.1

=== CMakeLists.txt ===
cmake_policy(SET CMP0048 NEW)  # project_VERSION* variables populated from project(... VERSION x.x.x) string

project(Libint
        VERSION 1.2.0
        LANGUAGES C CXX)
set(Libint_AUTHORS      "Edward F. Valeev and Justin T. Fermann")
set(Libint_DESCRIPTION  "Library for the evaluation of molecular integrals of two-body operators over Gaussian functions")
set(Libint_URL          "http://libint.valeyev.net")
set(Libint_LICENSE      "GPL-3.0 for generator; LGPL-3.0 for generated")

cmake_minimum_required(VERSION 3.0)
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

################################### Options ####################################
include(psi4OptionsTools)
option_with_default(CMAKE_BUILD_TYPE "Build type" Release)
option_with_default(MAX_AM_ERI "Maximum angular momentum for integrals (min value 3)" 5)
option_with_print(BUILD_SHARED_LIBS "Build final library as shared, not static" OFF)
option_with_default(BUILD_FPIC "Libraries will be compiled with position independent code" ON)
if(${BUILD_SHARED_LIBS} AND NOT ${BUILD_FPIC})
    message(FATAL_ERROR "BUILD_SHARED_LIBS ON and BUILD_FPIC OFF are incompatible, as shared library requires position independent code")
endif()
option_with_print(ENABLE_GENERIC "Enable mostly static linking in shared library" OFF)
option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON
                    "-xHost" "-march=native")
option_with_print(MERGE_LIBDERIV_INCLUDEDIR "Install libderiv headers to libint namespace. Psi4 wants ON" OFF)

######################### Process & Validate Options ###########################
include(autocmake_safeguards)
include(autocmake_static_library)

################################# Main Project #################################
set(STAGED_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/stage${CMAKE_INSTALL_PREFIX})

add_subdirectory(src)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(PN ${PROJECT_NAME})

# <<<  Install  >>>

install(DIRECTORY ${STAGED_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                  ${STAGED_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}
                  ${STAGED_INSTALL_PREFIX}/share
        DESTINATION ${CMAKE_INSTALL_PREFIX}
        USE_SOURCE_PERMISSIONS
        PATTERN "*header*" EXCLUDE)

# <<<  Export Config  >>>

# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
set(CMAKECONFIG_INSTALL_DIR "share/cmake/${PN}")
configure_package_config_file(cmake/${PN}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
                                 VERSION ${${PN}_VERSION}
                                 COMPATIBILITY SameMajorVersion)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== src/CMakeLists.txt ===
include(ExternalProject)
include(GNUInstallDirs)

# correcting for this repo being one off from Psi4 conventions
math(EXPR MAX_AM_ERI "${MAX_AM_ERI}-1")

ExternalProject_Add(libint_compiler
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/libint
    CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
               -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
               -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
               -DMAX_AM_ERI=${MAX_AM_ERI}
    CMAKE_CACHE_ARGS -DCMAKE_MODULE_PATH:STRING=${CMAKE_MODULE_PATH}
                     -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS} 
    INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} install
    DESTDIR=${CMAKE_BINARY_DIR}/stage)

ExternalProject_Add(libint_library
    DEPENDS libint_compiler
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/lib/libint
    DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/libint-src
    # download generalized to generating source by running libint_compiler
    DOWNLOAD_COMMAND ${STAGED_INSTALL_PREFIX}/bin/libint_compiler
    LOG_DOWNLOAD 1
    CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
               -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
               -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
               -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
               -DCMAKE_INSTALL_LIBDIR=${CMAKE_INSTALL_LIBDIR}
               -DCMAKE_INSTALL_INCLUDEDIR=${CMAKE_INSTALL_INCLUDEDIR}
               -DMAX_AM_ERI=${MAX_AM_ERI}
               -DBUILD_SHARED_LIBS=${BUILD_SHARED_LIBS}
               -DBUILD_FPIC=${BUILD_FPIC}
               -DLIBC_INTERJECT=${LIBC_INTERJECT}
    CMAKE_CACHE_ARGS -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS} 
                     -DCMAKE_CXX_FLAGS:STRING=${CMAKE_CXX_FLAGS} 
    BINARY_DIR ${CMAKE_BINARY_DIR}/libint-src
    INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} install
    DESTDIR=${CMAKE_BINARY_DIR}/stage)

ExternalProject_Add(libderiv_compiler
    DEPENDS libint_library
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/bin/libderiv
    CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
               -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
               -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
               -DMAX_AM_ERI=${MAX_AM_ERI}
               -DLibintint_DIR=${STAGED_INSTALL_PREFIX}/share/cmake/Libint
    CMAKE_CACHE_ARGS -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS} 
    INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} install
    DESTDIR=${CMAKE_BINARY_DIR}/stage)

ExternalProject_Add(libderiv_library
    DEPENDS libderiv_compiler
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/lib/libderiv
    CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
               -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
               -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
               -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
               -DCMAKE_INSTALL_LIBDIR=${CMAKE_INSTALL_LIBDIR}
               -DCMAKE_INSTALL_INCLUDEDIR=${CMAKE_INSTALL_INCLUDEDIR}
               -DMAX_AM_ERI=${MAX_AM_ERI}
               -DBUILD_SHARED_LIBS=${BUILD_SHARED_LIBS}
               -DBUILD_FPIC=${BUILD_FPIC}
               -DLIBC_INTERJECT=${LIBC_INTERJECT}
               -DLibintint_DIR=${STAGED_INSTALL_PREFIX}/share/cmake/Libint
               -DMERGE_LIBDERIV_INCLUDEDIR=${MERGE_LIBDERIV_INCLUDEDIR}
    CMAKE_CACHE_ARGS -DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS} 
                     -DCMAKE_CXX_FLAGS:STRING=${CMAKE_CXX_FLAGS} 
    DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/libderiv-src
    DOWNLOAD_COMMAND ${STAGED_INSTALL_PREFIX}/bin/libderiv_compiler
    LOG_DOWNLOAD 1
    BINARY_DIR ${CMAKE_BINARY_DIR}/libderiv-src
    INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} install
    DESTDIR=${CMAKE_BINARY_DIR}/stage)

# Note that libint_library and libderiv_library could build in parallel
#   if (1) the code generation step of libint_library was moved to the end
#   of libint_compiler and (2) libderiv_compiler was given a way to detect
#   the generated files. That code generation step produces libint.h and
#   that's what libderiv_compiler is waiting for.

=== src/bin/Makefile ===
TOPDIR=../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

-include $(TOPDIR)/Makedirlist

SUBDIRS = libint
ifeq ($(HAVE_LIBINT_SRC_BIN_LIBR12),yes)
SUBDIRS := $(SUBDIRS) libr12
endif
ifeq ($(HAVE_LIBINT_SRC_BIN_LIBDERIV),yes)
SUBDIRS := $(SUBDIRS) libderiv
endif

default::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(JOBS)) || exit 1; \
	  done

ifndef DODEPEND
DODEPENDOPT = "DODEPEND=no"
endif

install::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install) || exit 1; \
	  done

install_inc::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_inc) || exit 1; \
	  done

install_target::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) install_target) || exit 1; \
	  done

uninstall::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) uninstall) || exit 1; \
	  done

clean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) clean) || exit 1; \
	  done

oclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) oclean) || exit 1; \
	  done

distclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) distclean) || exit 1; \
	  done
	-rm -rf MakeVars MakeRules MakeSuffixRules libint_config.h

targetclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) targetclean) || exit 1; \
	  done

realclean::
	for dir in $(SUBDIRS); \
	  do \
	    (cd $${dir} && $(MAKE) $(DODEPENDOPT) realclean) || exit 1; \
	  done

=== src/bin/libderiv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libderiv_compiler LANGUAGES C)

# <<<  Build  >>>

# create dummy header file
configure_file(../libint_config.h.cmake.in libint_config.h @ONLY)

set(COMPILER_SRC build_libderiv.c
                 emit_d1hrr_build_macro.c
                 emit_deriv1_managers.c
                 emit_deriv_build_macro.c
                 emit_d1hrr_build.c
                 emit_deriv12_managers.c
                 emit_deriv_build.c
                 mem_man.c
)
add_executable(libderiv_compiler ${COMPILER_SRC})

target_include_directories(libderiv_compiler PRIVATE ../
                                                     ${PROJECT_BINARY_DIR})

math(EXPR LIBDERIV_OPT_AM1 ${MAX_AM_ERI}-1)  # A.M. level for 1st derivative ERIs
math(EXPR LIBINT_MAX_AM ${MAX_AM_ERI}+1)
math(EXPR LIBINT_OPT_AM "${MAX_AM_ERI}/2 + ${MAX_AM_ERI}%2")
target_compile_definitions(libderiv_compiler
    PRIVATE -DLIBDERIV_MAX_AM1=${MAX_AM_ERI}
            -DLIBDERIV_MAX_AM12=${LIBDERIV_OPT_AM1}
            -DLIBINT_MAX_AM=${LIBINT_MAX_AM}
            -DLIBINT_OPT_AM=${LIBINT_OPT_AM})

# acquire libint.h
find_package(Libintint CONFIG REQUIRED)
target_include_directories(libderiv_compiler PRIVATE
    $<TARGET_PROPERTY:Libint::int,INTERFACE_INCLUDE_DIRECTORIES>)

# <<<  Install  >>>

install(TARGETS libderiv_compiler
        RUNTIME DESTINATION bin)

=== src/bin/libint/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libint_compiler LANGUAGES C)

# <<<  Build  >>>

# create dummy header file
configure_file(../libint_config.h.cmake.in libint_config.h @ONLY)

set(COMPILER_SRC build_libint.c
                 emit_hrr_build.c
                 emit_hrr_build_macro.c
                 emit_order.c
                 emit_vrr_build.c
                 emit_vrr_build_macro.c
                 mem_man.c
)
add_executable(libint_compiler ${COMPILER_SRC})

# link -lm only if necessary
find_package(StandardMathLibraryC)
target_link_libraries(libint_compiler ${STANDARD_MATH_LIBRARY})
target_include_directories(libint_compiler PRIVATE ../
                                                   ${PROJECT_BINARY_DIR})

if ("${CMAKE_C_COMPILER_ID}" STREQUAL "PGI")
  set_target_properties(libint_compiler PROPERTIES COMPILE_FLAGS "-c99")
else()
  set_target_properties(libint_compiler PROPERTIES COMPILE_FLAGS "-std=c99")
endif()

math(EXPR LIBINT_MAX_AM ${MAX_AM_ERI}+1)
math(EXPR LIBINT_OPT_AM "${MAX_AM_ERI}/2 + ${MAX_AM_ERI}%2")
target_compile_definitions(libint_compiler
    PRIVATE -DLIBINT_MAX_AM=${LIBINT_MAX_AM}
            -DLIBINT_OPT_AM=${LIBINT_OPT_AM}
            -DLIBINT_MAX_CLASS_SIZE=300
            -DLONG_DOUBLE=0)

# <<<  Install  >>>

install(TARGETS libint_compiler
        RUNTIME DESTINATION bin)

=== src/bin/libr12/Makefile ===
TOPDIR=../../..
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif

BUILD_BINARY = build_libr12
BUILD_CSRC = build_libr12.c emit_vrr_r_build.c \
emit_vrr_t1_build.c emit_vrr_t2_build.c \
emit_hrr_t_build.c mem_man.c emit_grt_order.c
CONFIG = ../libint_config.h

-include $(TOPDIR)/src/bin/MakeVars
-include $(TOPDIR)/src/bin/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

%.$(OBJSUF):: $(CONFIG)

=== src/lib/libderiv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(Libintderiv LANGUAGES C CXX)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(NS Libint)
set(PN ${PROJECT_NAME})

# <<<  Build  >>>

file(GLOB sources_list "${CMAKE_BINARY_DIR}/*.cc" vrr_build.c)

    # STATIC/SHARED on below governed by BUILD_SHARED_LIBS
add_library(deriv ${sources_list})
target_include_directories(deriv PRIVATE ${CMAKE_BINARY_DIR})
    # acquire libint.h and libint library
find_package(Libintint CONFIG REQUIRED)
target_link_libraries(deriv PRIVATE Libint::int)

set_target_properties(deriv PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
if(${BUILD_SHARED_LIBS})
    target_link_libraries(deriv PRIVATE ${LIBC_INTERJECT})
endif()

# <<<  Install  >>>

if(${MERGE_LIBDERIV_INCLUDEDIR})
    install(FILES ${CMAKE_BINARY_DIR}/libderiv.h
                  ${CMAKE_BINARY_DIR}/d1hrr_header.h
                  ${CMAKE_BINARY_DIR}/deriv_header.h
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libint)
else()
    install(FILES ${CMAKE_BINARY_DIR}/libderiv.h
                  ${CMAKE_BINARY_DIR}/d1hrr_header.h
                  ${CMAKE_BINARY_DIR}/deriv_header.h
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libderiv)
endif()

install(TARGETS deriv
        EXPORT "${PN}Targets"
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# <<<  Export Interface  >>>

math(EXPR _max_am "${MAX_AM_ERI}+1")
target_compile_definitions(deriv INTERFACE USING_${NS}
                                           MAX_AM_ERI=${_max_am})
target_include_directories(deriv INTERFACE
                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# <<<  Export Config  >>>

    # explicit "share" not "DATADIR" for CMake search path
set(CMAKECONFIG_INSTALL_DIR "share/cmake/${NS}")
configure_package_config_file(${PN}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(EXPORT "${PN}Targets"
        NAMESPACE "${NS}::"
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== src/lib/libint/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(Libintint LANGUAGES C CXX)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(NS Libint)
set(PN ${PROJECT_NAME})

# <<<  Build  >>>

file(GLOB sources_list "${CMAKE_BINARY_DIR}/*.cc" vrr_build.c)

    # STATIC/SHARED on below governed by BUILD_SHARED_LIBS
add_library(int ${sources_list})
target_include_directories(int PRIVATE ${CMAKE_BINARY_DIR})

set_target_properties(int PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
if(${BUILD_SHARED_LIBS})
    target_link_libraries(int PRIVATE ${LIBC_INTERJECT})
endif()

# <<<  Install  >>>

install(FILES ${CMAKE_BINARY_DIR}/libint.h
              ${CMAKE_BINARY_DIR}/hrr_header.h
              ${CMAKE_BINARY_DIR}/vrr_header.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libint)
install(TARGETS int
        EXPORT "${PN}Targets"
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# <<<  Export Interface  >>>

math(EXPR _max_am "${MAX_AM_ERI}+1")
target_compile_definitions(int INTERFACE USING_${NS}
                                         MAX_AM_ERI=${_max_am})
target_include_directories(int INTERFACE
                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# <<<  Export Config  >>>

    # explicit "share" not "DATADIR" for CMake search path
set(CMAKECONFIG_INSTALL_DIR "share/cmake/${NS}")
configure_package_config_file(${PN}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(EXPORT "${PN}Targets"
        NAMESPACE "${NS}::"
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== src/lib/libr12/Makefile ===
TOPDIR=../../..
TO_TOPDIR=$(TOPDIR)
ifndef SRCDIR
  SRCDIR=$(shell pwd)
endif
TOPOBJDIR = $(shell ls -d `pwd`/$(TOPDIR))

NAME = libr12
TARGET = $(NAME).$(LIBSUF)
COMPILER = build_$(NAME)
INC = libr12.h

-include $(TOPDIR)/src/lib/MakeVars
-include $(TOPDIR)/src/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeRules
include $(SRCDIR)/$(TOPDIR)/lib/MakeSuffixRules

=== debian/changelog ===
libint (1.2.1-7) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/watch: Removed, no longer useful as all recent upstream releases are
    from the 2.x branch.

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 15. Closes: #1097200.
  * Fix FTBFS with CMake 4. Closes: #1113159.
  * Apply patch from Vagrant Cascadian to make the build reproducible.
    Closes: #1037309.

  [ Santiago Vila ]
  * Drop debian/compat and use modern syntax to specify compat level.
  * Drop --with autoreconf and --parallel, already the default.
  * Drop redundant dh-autoreconf from Build-Depends.
  * Drop redundant autotools-dev from Build-Depends.
  * Update upstream metadata.
  * Update lintian overrides.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 04 Oct 2025 10:30:00 +0200

libint (1.2.1-6) unstable; urgency=medium

  * debian/libint1.links: File removed.
  * debian/rules (override_dh_auto_install): New rule, runs dh_auto_install and
    then creates the lib*-stable.so.1 symlinks that were formerly handled by
    libint1.links properly in the right multiarch directory (Closes: #985269).

 -- Michael Banck <mbanck@debian.org>  Mon, 15 Mar 2021 18:31:14 +0100

libint (1.2.1-5) unstable; urgency=medium

  * Team upload
  * Add Breaks on psi4 (<< 1:1.3.2+dfsg-1)

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Mar 2021 14:25:43 +0000

libint (1.2.1-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Increase angular momentum
    configure options by one.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 18:50:04 +0100

libint (1.2.1-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set cmake's MAX_AM_ERI variable
    to 5 to be more in-line with the autotools build.
  * debian/rules (override_dh_auto_configure): Add ENABLE_XHOST=OFF to cmake
    variables. 
  * debian/rules (override_dh_auto_install): Skip installing the cmake build.
  * debian/libint-dev.install: Install the cmake files directly out of the
    build directory.
  * debian/rules (override_dh_auto_configure): Add --with-pic to configure
    arguments.
  * debian/control (Standards-Version): Bumped to 4.5.1.
  * debian/compat: Bump to 11.
  * debian/rules (override_dh_auto_install,override_dh_install): Targets
    removed.
  * debian/libint1.install,debian/libint-dev.install: Update for multiarch
    libdir.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Jan 2021 19:50:14 +0100

libint (1.2.1-2) unstable; urgency=medium

  * debian/libint1.links: Reintroduce lib*-stable.so.1 as symlinks (Closes:
    #887864, #888274).

 -- Michael Banck <mbanck@debian.org>  Mon, 29 Jan 2018 13:13:39 +0100

libint (1.2.1-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * debian/control (Vcs-Browser, Vcs-Svn): Updated. 
  * debian/watch: Updated to Github.
  * debian/copyright: Update to GPL-3+.
  * debian/control (Build-Depends): Added cmake.
  * debian/rules: Build using cmake as well, needed in order to ship .cmake
    files in libint-dev.
  * debian/libint-dev.install: Install cmake files.
  * debian/rules (override_dh_installchangelogs): Update changelog name.
  * debian/control (libint-dbg): Remove package.
  * debian/rules (override_dh_strip): Remove target.

 -- Michael Banck <mbanck@debian.org>  Sat, 06 Jan 2018 15:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~),
-               debhelper (>> 8),
-               dh-autoreconf,
+Build-Depends: cmake,
+               debhelper-compat (= 11),
                perl,
                texlive-base-bin,
                texlive-font-utils,
                texlive-latex-base
-Standards-Version: 3.9.4
+Standards-Version: 4.7.2
 Homepage: http://sourceforge.net/p/libint/home/
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libint/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libint/
+Vcs-Browser: https://salsa.debian.org/debichem-team/libint
+Vcs-Git: https://salsa.debian.org/debichem-team/libint.git
 
 Package: libint1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: psi4 (<< 1:1.3.2+dfsg-1)
 Description: Evaluate the integrals in modern atomic and molecular theory
  The LIBINT library is used to evaluate the traditional (electron repulsion)
  and certain novel two-body matrix elements (integrals) over Cartesian
@@ -56,25 +56,3 @@
  doubles (CCSD) method, as well as explicitly correlated R12 methods.
  .
  This package contains the development header files.
-
-Package: libint-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libint1 (= ${binary:Version}), ${misc:Depends}
-Description: Evaluate the integrals in modern atomic and molecular theory (debug)
- The LIBINT library is used to evaluate the traditional (electron repulsion)
- and certain novel two-body matrix elements (integrals) over Cartesian
- Gaussian functions used in modern atomic and molecular theory. The idea
- of the library is to let computer write optimized code for computing
- such integrals. There are two primary advantages to this: much less
- human effort is required to write code for computing new integrals, and
- code can be optimized specifically for a particular computer
- architecture (e.g., vector processor).
- .
- LIBINT has been utilized to implement methods such as Hartree-Fock (HF)
- and Kohn-Sham density functional theory (KS DFT), second-order
- Moeller-Plesset perturbation theory (MP2), coupled cluster singles and
- doubles (CCSD) method, as well as explicitly correlated R12 methods.
- .
- This package contains the detached debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,16 @@
 
 export AUTOHEADER = true
 
+# Ensure that texlive respects SOURCE_DATE_EPOCH for reproducible builds
+export FORCE_SOURCE_DATE=1
+
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf lib/.libs
 	dh_auto_clean
+	dh_auto_clean --buildsystem=cmake
 
 override_dh_auto_configure:
 	CONFIG_SHELL=/bin/bash dh_auto_configure -- \
@@ -29,23 +33,31 @@
 		--enable-deriv \
 		--enable-r12 \
 		--enable-debug=opt \
-		--with-libint-max-am=5 \
-		--with-libderiv-max-am1=4 \
-		--with-libderiv-max-am2=3 \
+		--with-libint-max-am=6 \
+		--with-libderiv-max-am1=5 \
+		--with-libderiv-max-am2=4 \
 		--prefix=/usr \
 		--with-cc-optflags="$(CFLAGS) $(CPPFLAGS)" \
 		--with-cxx-optflags="$(CXXFLAGS) $(CPPFLAGS)" \
-		--with-libdirs="$(LDFLAGS)"
+		--with-libdirs="$(LDFLAGS)" \
+		--with-pic
+	dh_auto_configure --buildsystem=cmake -- 	\
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo	\
+		-DCMAKE_INSTALL_LIBDIR=lib		\
+		-DMAX_AM_ERI=6				\
+		-DENABLE_XHOST=OFF
 
 override_dh_auto_build:
 	$(MAKE) -C doc
 	dh_auto_build
+	dh_auto_build --buildsystem=cmake
 
-override_dh_strip:
-	dh_strip --dbg-package=libint-dbg
-
-override_dh_install:
-	dh_install --list-missing
+override_dh_auto_install:
+	dh_auto_install
+	(cd debian/tmp/usr/lib/*/; \
+		ln -s libderiv.so.1 libderiv-stable.so.1; \
+		ln -s libint.so.1 libint-stable.so.1; \
+		ln -s libr12.so.1 libr12-stable.so.1)
 
 override_dh_installchangelogs:
-	dh_installchangelogs updates
+	dh_installchangelogs CHANGES
